/* GLOBAL STYLES
-------------------------------------------------- */

/*
 * Color set
 * Main Background
 *   constrain:   #eef
 *   content:     #fff
 * Alternate Background colors
 *   light:       #e5e5e5
 *   medium:      #ccc
 *   dark:        #777
 * Text Colors
 *   medium:      #666
 *   dark:        #5a5a5a
 *   accent:      ???
 *   link:        #428bca
 * Logo Colors:
 *   text:        #428bca
 *   background:  transparent
 * FavIcon Colors:
 *   text:        #428bca
 *   background:  #e8e8e8
 *   border:      #5a5a5a
 */

/* Padding below the footer and lighter body text */
body {
  padding-bottom: 40px;
  color: #5a5a5a;
}

body.constrain {
  padding-bottom: 10px;
  color: #5a5a5a;
  background: url("/images/cj-background.png") #eef fixed top left repeat;
}

a, a:visited, a:hover, a:active, a:focus {
    color: #428bca;
    text-decoration: none;
}

/* Outer container
-------------------------------------------------- */
.outer {
    padding: 0;
    border-radius: 5px;
    background-color: #fff;
 }

#banner {
    position: relative;
    overflow: hidden;
    width: 100%;
}

#banner img {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: 0;
    width: 100%;
}

#banner .overlay {
    position: absolute;
    right: 0;
    bottom: 0;
    max-width: 956px;
    max-height: 650px;
    font-size: 18px;
    text-align: center;
    padding: 10px 20px;
    margin: 0;
    color: #e5e5e5;
}

#banner h2 {
    font-size: 100%;
}

#banner p {
    font-size: 80%;
}

#banner .overlay.dark {
    color: #5a5a5a;
}

/* This still isn't right. Need to do more research. */
#banner .attribution {
    position: absolute;
    top: 100%;
/*    bottom: 450px; */
}

#blurb {
    margin: 20px;
    margin-top: 5px;
}

#blurb p {
    font-size: 120%;
}

#hb {
    margin-top: -10px;
}

/* CUSTOMIZE THE NAVBAR
-------------------------------------------------- */

/* Special class on .container surrounding .navbar, used for positioning it into place. */
header {
    background-color: #e5e5e5;
    min-width: 100%;
    width: 100%;
    padding-left: 15px;
    margin-bottom: 0;
}

nav {
    display: block;
}

.navbar-nav a {
    color: #666;
}
.nav .caret {
    border-top-color: #666;
    border-bottom-color: #666;
}

.navbar-static-top .navbar-nav > .active > a,
.navbar-static-top .navbar-nav > li > a:hover,
.navbar-static-top .navbar-nav > li > a:active,
.navbar-static-top .navbar-nav > li > a:focus,
.navbar-default .navbar-nav > .active > a:hover,
.navbar-default .navbar-nav > .active > a:active,
.navbar-default .navbar-nav > .active > a:focus {
    color: #428bca;
    background-color: #e5e5e5; /* Override bootstrap */
}

nav .rightjust {
    float:right;
    padding-right: 40px;
}

.navbar-brand {
    padding: 5px;
    padding-left: 30px;
}

/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
  /* Restore no margin*/
  margin-top: 0;
  width: 100%;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
  z-index: 10;
  bottom: auto;
  left: 16%;
  right: 10%;
}

/* Declare heights because of positioning of img element */
.carousel .item {
    background-color: #777;
}
.carousel-inner {
    position: relative;
    overflow: hidden;
    width: 100%;
}

.carousel-inner > .item  img {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: 0;
    width: 100%;
}

.carousel-inner > .item .overlay {
    position: absolute;
    right: 0;
    max-width: 956px;
    max-height: 650px;
    font-size: 16px;
    text-align: center;
    vertical-align: bottom;
    padding: 10px 20px;
    margin: 0;
    color: #e5e5e5;
}

.carousel .overlay.dark {
    color: #5a5a5a;
}

.carousel a {
    text-decoration: none;
}

.carousel h2 {
    font-size: 100%;
}

.carousel p {
    font-size: 80%;
}

.carousel-indicators {
    bottom: -40px;
    padding-top: 5px;
}

.carousel-indicators .active {
    background-color: #5a5a5a;
}

.carousel-indicators li {
    border-color: #5a5a5a;
}

.container {
    padding-right: 0;
    padding-left: 0;
}

/* Personalities CONTENT
-------------------------------------------------- */

/* Pad the edges of the mobile views a bit */
.personalities {
  padding-left: 15px;
  padding-right: 15px;
}

/* Center align the text within the three columns below the carousel */
.personalities .col-lg-4 {
  text-align: center;
  margin-bottom: 20px;
}
.personalities h2 {
  font-weight: normal;
}
.personalities .col-lg-4 p {
  margin-left: 10px;
  margin-right: 10px;
}


/* Featurettes
------------------------- */

.featurette-divider {
  margin: 40px 0; /* Space out the Bootstrap <hr> more */
}

.feature-title {
    margin-top: 20px;
    padding-left: 20px;
    border-bottom: thin solid #ccc;
}

/* Thin out the personalities headings */
.featurette-heading {
  font-weight: 300;
  line-height: 1;
  letter-spacing: -1px;
}

.text-feature p {
    padding-left: 20px;
    margin-right: 15%;
}

.text-feature .panel {
    margin-left: 20px;
    margin-right: 15%;
}

.media-body .media-heading {
    font-size: 150%;
    font-weight: bold;
}

.media-body .lead {
    font-size: 125%;
}

.panel-body .example {
    margin-left: 5px;
}

/* Category Customization
--------------------------- */
.category-title {
    margin-top: 20px;
    padding-left: 20px;
    border-bottom: thin solid #ccc;
}
/* Enrtry Customization
--------------------------- */
.course-entry {
    padding-left: 20px;
}

.course-entry p {
    padding-left: 20px;
}

.course-entry ul {
    padding-left: 40px;
}


/* Footer Customization
--------------------------- */
.footer-divider {
}
footer {
    font-size: 75%;
}
footer li {
    list-style-type: none;
}

/* Areas section of main page
--------------------------- */

.area-grid p {
    text-align: center;
}

.area-grid img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.attribution {
    margin-top: -1em;
    margin-bottom: -0.4em;
}

/* Jumbotron Narrow settings
------------------------------------------------- */
.jumbotron {
  border-bottom: 1px solid #e5e5e5;
  margin-top: 10px;
  text-align: center;
}
.jumbotron p.explain {
  font-size: 16px;
  text-align: left;
}
.jumbotron .btn {
  font-size: 21px;
  padding: 14px 24px;
  margin-top: 10px;
}
/* Supporting marketing content */
.marketing p + h4 {
  margin-top: 28px;
}


/* RESPONSIVE CSS
-------------------------------------------------- */
@media (min-width: 10px) {
  #banner {
    height: 150px;
    margin-bottom: 10px;
  }
  .carousel {
    margin-bottom: 12px;
  }
  .carousel-inner {
    height: 150px;
  }
  .carousel-inner > .item .overlay {
    bottom: -150px;
  }
}

@media (min-width: 400px) {
  #banner {
    height: 250px;
    margin-bottom: 20px;
  }
  .carousel {
    margin-bottom: 25px;
  }
  .carousel-inner {
    height: 250px;
  }
  .carousel-inner > .item .overlay {
    bottom: -250px;
  }
}

@media (min-width: 768px) {

  /* Remove the edge padding needed for mobile */
  .personalities {
    padding-left: 0;
    padding-right: 0;
  }

  /* Navbar positioning foo */
  .navbar-wrapper {
/*    margin-top: 20px; */
  }
  /* The navbar becomes detached from the top, so we round the corners */
  .navbar-wrapper .navbar {
    border-radius: 4px;
  }
  header .navbar-brand {
    margin-left: -5px;
  }

  /* Bump up size of carousel content */
  .carousel-caption p {
    margin-bottom: 20px;
    font-size: 21px;
    line-height: 1.4;
  }

  .featurette-heading {
    font-size: 50px;
  }

  #banner {
    height: 295px;
    margin-bottom: 25px;
  }
  .carousel {
    margin-bottom: 31px;
  }
  .carousel-inner {
    height: 295px;
  }
  .carousel-inner > .item .overlay {
    bottom: -295px;
  }
}

@media (min-width: 992px) {
  .featurette-heading {
    margin-top: 120px;
  }
  #banner {
    height: 380px;
    margin-bottom: 30px;
  }
  .carousel {
    margin-bottom: 38px;
  }
  .carousel-inner {
    height: 380px;
  }
  .carousel-inner > .item .overlay {
    bottom: -380px;
  }
}

@media (min-width: 1200px) {
  #banner {
    height: 460px;
    margin-bottom: 40px;
  }
  .carousel {
    margin-bottom: 50px;
  }
  .carousel-inner {
    height: 460px;
  }
  .carousel-inner > .item .overlay {
    bottom: -460px;
  }
}
